Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Agent Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | COMPLEX TYPES | SIMPLE TYPES | GROUPS | ATTRIBUTE GROUPS | FRAMES | NO FRAMES

## namespace bea.com/loc/agent

Element Summary
loc-agent | Definition of the root agent element.

Complex Type Summary
agentType | Definition of the root agent node.
agentType/name | Name.
agentType/description | Description.
agentType/network | Network definition for the agent.
agentType/use-secure-connections | Flag to indicate if secure communication must be used.
agentType/logging | Definition of the logging properties.
agentType/audit | Definition of the audit properties.
agentType/work-managers | Definition of the work managers.
agentType/encryption | Definition of the encryption properties.
agentType/resource-pools | Definition of the resource pools.
DNSServersType | Holder of all DNS servers.
DNSServersType/server |
encryptionType | Definition of the encryption properties.
encryptionType/password | password
IPAddressesType | Holder of all IP addresses.
IPAddressesType/ip |
isoSoftwareType | Definition of ISO software type.
isoSoftwareType/name | Name.
isoSoftwareType/description | Description.
isoSoftwareType/path | Path.
isoSoftwareType/version | Version.
jreSoftwareType | Definition of JRE software type.
jreSoftwareType/name | Name.
jreSoftwareType/description | Description.
jreSoftwareType/path | Path of the software component.
jreSoftwareType/type | The type of JRE being used.
jreSoftwareType/version | The version of JRE being used.
jreSoftwareType/priority | The priority of the jre.
keystoreType | Definition of the keystore properties.
keystoreType/path | Keystore path.
keystoreType/password | Keystore password.
networkInterfacesType | Holder of all network interfaces.
networkInterfacesType/interface |
nfsSoftwareType | Definition of NFS software type.
nfsSoftwareType/name | Name.
nfsSoftwareType/description | Description.
nfsSoftwareType/path | Path.
nfsSoftwareType/mode | Mode of the software component.
plainAvailableSoftwareType | Holder for all the plain software components.
plainAvailableSoftwareType/software |
plainAvailableSoftwareType/jre-software |
plainResourcePoolType | Definition of the plain resource pool.
plainResourcePoolType/name | Name.
plainResourcePoolType/description | Description.
plainResourcePoolType/cpu-capacity | The CPU capacity measured in MHz.
plainResourcePoolType/stdout-dir | Directory where the standard output will be placed.
plainResourcePoolType/stderr-dir | Directory where the standard error will be placed.
plainResourcePoolType/ip-addresses | IP Addresses supported by the plain agent.
plainResourcePoolType/network-interfaces | List of network interfaces supported by the plain agent.
plainResourcePoolType/available-software | The available software for this plain agent.
plainSoftwareType | Definition of plain software type.
plainSoftwareType/name | Name.
plainSoftwareType/description | Description.
plainSoftwareType/path | Path of the software component.
resourcePoolsType | Holder for either the plain or VMWare resource pool type.
resourcePoolsType/plain-resource-pool |
resourcePoolsType/vmware-resource-pools |
vmwareAvailableSoftwareType | Holder for all the VMWare software components.
vmwareAvailableSoftwareType/nfs-software |
vmwareAvailableSoftwareType/iso-software |
vmwareNetworksType | Contains a list of vmware network components.
vmwareNetworksType/network | List of vmware network components.
vmwareNetworkType | Definition of the VMWare network type.
vmwareNetworkType/name | Name.
vmwareNetworkType/description | Description.
vmwareNetworkType/gateway | Gatweway.
vmwareNetworkType/net-mask | Netmask.
vmwareNetworkType/dns-servers | DNS servers.
vmwareNetworkType/domain-name | Domain name.
vmwareNetworkType/ip-addresses | IP Addresses.
vmwarePoolsType | Holder of all the VMWare resource pools.
vmwarePoolsType/pool |
vmwarePoolType | Definition of the VMWare resource pool.
vmwarePoolType/name | Name.
vmwarePoolType/description | Description.
vmwarePoolType/data-center | Data center.
vmwarePoolType/compute-resource | Compute Resource.
vmwarePoolType/resource-pool | Resource pool.
vmwarePoolType/vmware-networks | Specifies the list of vmware network components.
vmwarePoolType/stdout-dir | Standard output directory.
vmwarePoolType/available-software | List of available software for this pool.
vmwareResourcePoolsType | Definition of the VMWare resource pools.
vmwareResourcePoolsType/name | Name.
vmwareResourcePoolsType/description | Description.
vmwareResourcePoolsType/vc-host | Virtual Center host.
vmwareResourcePoolsType/vc-port | Port.
vmwareResourcePoolsType/vc-secure-port | Secure port.
vmwareResourcePoolsType/use-secure-connections | Flag to indicate if a secure connections should to be used.
vmwareResourcePoolsType/username | Username.
vmwareResourcePoolsType/password | Password.
vmwareResourcePoolsType/heartbeat-interval | Heartbeat interval to the virtual center.
vmwareResourcePoolsType/keystore | Keystore.
vmwareResourcePoolsType/data-center | Default data center.
vmwareResourcePoolsType/compute-resource | Compute Resource.
vmwareResourcePoolsType/resource-pool | Default resource pool.
vmwareResourcePoolsType/enable-syslog-publisher | Flag to enable/disable the syslog publisher.
vmwareResourcePoolsType/pools | Definition of the resource pools for VMWare.

Simple Type Summary
availableSoftwareModeTypes | Available software mode types.
fileSystemTypes | Available file system types.
lvmVersionTypes | Available LVM versions.

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Agent Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | COMPLEX TYPES | SIMPLE TYPES | GROUPS | ATTRIBUTE GROUPS | FRAMES | NO FRAMES